<dx-scroll-view height='100%'>
    <dx-form [colCount]="1" [formData]='contractData' [showValidationSummary]="false"
        validationGroup="contractValidation" labelLocation="left">
        <dxi-item itemType="group" [colSpan]="1" [colCount]='1'>
            <dxi-item [label]="{text: 'Număr contract'}" dataField="no" editorType="dxTextBox" [editorOptions]="{ }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
        </dxi-item>

        <dxi-item itemType="group" [colSpan]="2" [colCount]='2'>
            <dxi-item [label]="{text: 'Contractor'}" dataField="fromId" editorType="dxSelectBox"
                [editorOptions]="{dataSource: dspCtr, valueExpr: 'id', displayExpr: 'name' }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Contractant'}" dataField="toId" editorType="dxSelectBox"
                [editorOptions]="{dataSource: dspCtr, valueExpr: 'id', displayExpr: 'name' }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
        </dxi-item>

        <dxi-item itemType='group' [colSpan]='2' [colCount]='2'>
            <dxi-item [label]="{text: 'Dată start'}" dataField="startDate" editorType="dxDateBox"
                [editorOptions]="{ displayFormat: 'dd.MM.yyyy', width: 'auto' }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Dată stop'}" dataField="endDate" editorType="dxDateBox"
                [editorOptions]="{ displayFormat: 'dd.MM.yyyy', width: 'auto' }">
            </dxi-item>
        </dxi-item>

        <dxi-item itemType='group' [colSpan]='1' [colCount]='1'>
            <dxi-item [label]="{text: 'Obiect contract'}" dataField="contractObjective" editorType="dxTextBox"
                [editorOptions]="{ }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
        </dxi-item>

        <dxi-item itemType='group' [colSpan]='2' [colCount]='2'>
            <dxi-item [label]="{text: 'Valid'}" dataField="isValid" editorType="dxSelectBox"
                [editorOptions]="{dataSource: dsBoolean, valueExpr: 'id', displayExpr: 'name' }">
            </dxi-item>
            <dxi-item [label]="{text: 'Valoare contract'}" dataField="contractValue" editorType="dxNumberBox"
                [editorOptions]="{ }">
            </dxi-item>
        </dxi-item>
    </dx-form>
</dx-scroll-view>